> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# SetChildAccountInfo

POST https://api.voximplant.com/platform_api/SetChildAccountInfo

Edits the account's profile.

**Example request:** Disable the child account.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/accounts/set-child-account-info

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /SetChildAccountInfo:
    post:
      operationId: set-child-account-info
      summary: SetChildAccountInfo
      description: |-
        Edits the account's profile.

        **Example request:** Disable the child account.
      tags:
        - subpackage_accounts
      parameters:
        - name: child_account_id
          in: query
          description: >-
            The child account ID list separated by semicolons (;). Use the 'all'
            value to select all child accounts. **Required** unless
            **child_account_name** or **child_account_email** is provided.
          required: false
          schema:
            type: array
            items:
              type: integer
        - name: child_account_name
          in: query
          description: >-
            The child account name list separated by semicolons (;).
            **Required** unless **child_account_id** or **child_account_email**
            is provided.
          required: false
          schema:
            type: array
            items:
              type: string
        - name: child_account_email
          in: query
          description: >-
            The child account email list separated by semicolons (;).
            **Required** unless **child_account_id** or **child_account_name**
            is provided.
          required: false
          schema:
            type: array
            items:
              type: string
        - name: new_child_account_email
          in: query
          description: The new child account email
          required: false
          schema:
            type: string
        - name: new_child_account_password
          in: query
          description: >-
            The new child account password. Must be at least 8 characters long
            and contain at least one uppercase and lowercase letter, one number,
            and one special character
          required: false
          schema:
            type: string
        - name: account_notifications
          in: query
          description: Whether Voximplant notifications are required
          required: false
          schema:
            type: boolean
        - name: tariff_changing_notifications
          in: query
          description: Whether to receive the emails about the Voximplant plan changing
          required: false
          schema:
            type: boolean
        - name: news_notifications
          in: query
          description: Whether to receive the emails about the Voximplant news
          required: false
          schema:
            type: boolean
        - name: active
          in: query
          description: Whether to enable the child account
          required: false
          schema:
            type: boolean
        - name: language_code
          in: query
          description: >-
            The notification language code (2 symbols, ISO639-1). The following
            values are available: aa (Afar), ab (Abkhazian), af (Afrikaans), am
            (Amharic), ar (Arabic), as (Assamese), ay (Aymara), az
            (Azerbaijani), ba (Bashkir), be (Belarusian), bg (Bulgarian), bh
            (Bihari), bi (Bislama), bn (Bengali), bo (Tibetan), br (Breton), ca
            (Catalan), co (Corsican), cs (Czech), cy (Welch), da (Danish), de
            (German), dz (Bhutani), el (Greek), en (English), eo (Esperanto), es
            (Spanish), et (Estonian), eu (Basque), fa (Persian), fi (Finnish),
            fj (Fiji), fo (Faeroese), fr (French), fy (Frisian), ga (Irish), gd
            (Scots Gaelic), gl (Galician), gn (Guarani), gu (Gujarati), ha
            (Hausa), hi (Hindi), he (Hebrew), hr (Croatian), hu (Hungarian), hy
            (Armenian), ia (Interlingua), id (Indonesian), ie (Interlingue), ik
            (Inupiak), in (Indonesian), is (Icelandic), it (Italian), iu
            (Inuktitut), iw (Hebrew), ja (Japanese), ji (Yiddish), jw
            (Javanese), ka (Georgian), kk (Kazakh), kl (Greenlandic), km
            (Cambodian), kn (Kannada), ko (Korean), ks (Kashmiri), ku (Kurdish),
            ky (Kirghiz), la (Latin), ln (Lingala), lo (Laothian), lt
            (Lithuanian), lv (Latvian), mg (Malagasy), mi (Maori), mk
            (Macedonian), ml (Malayalam), mn (Mongolian), mo (Moldavian), mr
            (Marathi), ms (Malay), mt (Maltese), my (Burmese), na (Nauru), ne
            (Nepali), nl (Dutch), no (Norwegian), oc (Occitan), om (Oromo), or
            (Oriya), pa (Punjabi), pl (Polish), ps (Pashto), pt (Portuguese), qu
            (Quechua), rm (Rhaeto-Romance), rn (Kirundi), ro (Romanian), ru
            (Russian), rw (Kinyarwanda), sa (Sanskrit), sd (Sindhi), sg
            (Sangro), sh (Serbo-Croatian), si (Singhalese), sk (Slovak), sl
            (Slovenian), sm (Samoan), sn (Shona), so (Somali), sq (Albanian), sr
            (Serbian), ss (Siswati), st (Sesotho), su (Sudanese), sv (Swedish),
            sw (Swahili), ta (Tamil), te (Tegulu), tg (Tajik), th (Thai), ti
            (Tigrinya), tk (Turkmen), tl (Tagalog), tn (Setswana), to (Tonga),
            tr (Turkish), ts (Tsonga), tt (Tatar), tw (Twi), ug (Uigur), uk
            (Ukrainian), ur (Urdu), uz (Uzbek), vi (Vietnamese), vo (Volapuk),
            wo (Wolof), xh (Xhosa), yi (Yiddish), yo (Yoruba), za (Zhuang), zh
            (Chinese), zu (Zulu)
          required: false
          schema:
            type: string
        - name: location
          in: query
          description: >-
            The child account location (timezone). Examples:
            America/Los_Angeles, Etc/GMT-8, Etc/GMT+10
          required: false
          schema:
            type: string
        - name: min_balance_to_notify
          in: query
          description: The min balance value to notify by email or SMS
          required: false
          schema:
            type: number
            format: double
        - name: support_robokassa
          in: query
          description: Whether to allow the robokassa payments
          required: false
          schema:
            type: boolean
        - name: support_bank_card
          in: query
          description: Whether to allow the bank card payments
          required: false
          schema:
            type: boolean
        - name: support_invoice
          in: query
          description: Whether to allow the bank invoices
          required: false
          schema:
            type: boolean
        - name: can_use_restricted
          in: query
          description: Whether to allow use restricted directions
          required: false
          schema:
            type: boolean
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/accounts_SetChildAccountInfo_Response_200'
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    accounts_SetChildAccountInfo_Response_200:
      type: object
      properties:
        result:
          type: integer
          description: Returns 1 if the request has been completed successfully
      title: accounts_SetChildAccountInfo_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Success
import requests

url = "https://api.voximplant.com/platform_api/SetChildAccountInfo"

querystring = {"child_account_id":"[123456]","active":"false"}

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript Success
const url = 'https://api.voximplant.com/platform_api/SetChildAccountInfo?child_account_id=%5B123456%5D&active=false';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/SetChildAccountInfo?child_account_id=%5B123456%5D&active=false"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/SetChildAccountInfo?child_account_id=%5B123456%5D&active=false")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/SetChildAccountInfo?child_account_id=%5B123456%5D&active=false")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/SetChildAccountInfo?child_account_id=%5B123456%5D&active=false', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/SetChildAccountInfo?child_account_id=%5B123456%5D&active=false");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/SetChildAccountInfo?child_account_id=%5B123456%5D&active=false")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```